(function($) {
	mui.init({
		pullRefresh: {
			container: '#pullrefresh',
			down: {
				style: 'circle',
				callback: pulldownRefresh
			}
//			,
//			up: {
//				auto: true,
//				contentrefresh: '正在加载...',
//				callback: pullupRefresh
//			}
		}
	});
	//自定义返回按钮
	mui("body").on('tap', '.android_ios_back', function() {
		if(isAndroid()) {
			window.Android.Activityfinish();
		}
		if(isIOS()) {

		}
	});
	//横排广告
	mui(".mui-slider").on('tap', '.mui-slider-item', function() {
		//获取id
		var strSchoolName = this.getAttribute("id");
		//		alert("aaa" + strSchoolName);
		if(!checkVarIsEmpty(strSchoolName)) {
			mui.openWindow({
				url: 'specialty_school_main.html?strSchoolName=' + strSchoolName + "&from=SecialtyIndex"
			});
		}
	});
	//竖排广告
	mui(".mui-table-view").on('tap', '.mui-table-view-cell', function() {
		//获取id
		var strSchoolName = this.getAttribute("id");
		if(!checkVarIsEmpty(strSchoolName)) {
			mui.openWindow({
				url: 'specialty_school_main.html?strSchoolName=' + strSchoolName + "&from=SecialtyIndex"
			});
		} else {
			alert("aaa" + strSchoolName);
		}

	});
	//院校大全/专业大全/预报名
	mui(".fourDiv").on('tap', '.item', function() {
		//获取id
		var id = this.getAttribute("id");
		//											 alert("aaa"+id);
		if(id == 'specialtyDiv') {
			mui.openWindow({
				id: 'detail',
				url: 'specialty_school_list.html'+"?strLocProvince=" + getParams('strLocProvince')
			});
		} else if(id == 'majorDiv') {
			if(isAndroid()) {
				Android.ActivityJumpMajorDaquan();
			}
			if(isIOS()) {
				JumpMajorDaquan()();
			}
		} else if(id == 'forecastNameDiv') {
			var strUserId;
			try {
				var jsonUserInfoVO;
				if(isAndroid()) {
					jsonUserInfoVO = window.Android.getUserInfoVOJson();
				}
				if(isIOS()) {
					jsonUserInfoVO = jsonIosUserInfo;
				}
				if(!checkVarIsEmpty(jsonUserInfoVO)) {
					//      	JSON.parse(jsonstr); //可以将json字符串转换成json对象 
					//			JSON.stringify(jsonobj); //可以将json对象转换成json对符串 
					var userInfoVO = JSON.parse(jsonUserInfoVO);
					if(userInfoVO.intUserId != 0 && !checkVarIsEmpty(userInfoVO.intUserId)) {
						strUserId = userInfoVO.intUserId;
					}
				} else {
					if(isAndroid()) {
						Android.ActivityJumpLogin();
					}
					if(isIOS()) {
						JumpLogin();
					}
					return;
				}
				var strUrl = "my_signup_main.html?strUserId=" + strUserId;
				mui.openWindow(strUrl);
			} catch(err) {
				mui.toast(err);
			}
		}
	});
	//首页初始化加载
	ajax();
	//上拉加载更多预留，暂时无用
	function pullupRefresh() {
		ajax();
		console.log("上拉加载更多");
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true); //参数为true代表没有更多数据了。
		
	}
	/**
	 * 下拉刷新具体业务实现
	 */
	function pulldownRefresh() {
		console.log("下拉刷新具体业务实现");
		//竖排广告
		var table = document.body.querySelector('.mui-table-view');
		var size = table.childNodes.length;
		for(var i = 0; i < size; i++) {
			table.removeChild(table.childNodes[0]);
		}


		//横排广告
		var horizontalTable = document.body.querySelector('.mui-slider-group');
		var horizontalSize = horizontalTable.childNodes.length;
		for(var i = 0; i < horizontalSize; i++) {
			horizontalTable.removeChild(horizontalTable.childNodes[0]);
		}
		
		var indicatorDiv = document.body.querySelector('.mui-slider-indicator');
		var indicatorDivSize = indicatorDiv.childNodes.length;
		for(var i = 0; i < indicatorDivSize; i++) {
			indicatorDiv.removeChild(indicatorDiv.childNodes[0]);
		}
		ajax();
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		
	}

	function ajax() {
		var url = gainAdvertisementByPage;
		if(!checkVarIsEmpty(getParams('strLocProvince'))) {
			url + "?strAdsProvince=" + getParams('strLocProvince');
		}
		mui.ajax(url, {
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			success: function(response) {
				console.log("返回：" + JSON.stringify(response));
				//竖排广告
				var table = document.body.querySelector('.mui-table-view');
				if(response.status == 'SUCCESS') {
					var verticalAdList = response.data.verticalAdList;
					var size = verticalAdList.length;
					for(var i = 0; i < size; i++) {
						var li = document.createElement('li');
						li.className = 'mui-table-view-cell';
						li.id = verticalAdList[i].strSchool;
						li.innerHTML = '<img  src="' + filePath + verticalAdList[i].strImageUrl + '" style="height: 150px;width: 100%;">';
						//下拉刷新，新纪录插到最前面；
						//							table.insertBefore(li, table.firstChild);
						table.appendChild(li);
					}
				}
				//横排广告
				var horizontalTable = document.body.querySelector('.mui-slider-group');
				var indicatorDiv = document.body.querySelector('.mui-slider-indicator');
				if(response.status == 'SUCCESS') {
					var horizontalAdList = response.data.horizontalAdList;
					var size = horizontalAdList.length;
					for(var i = 0; i < size; i++) {
						//<div class="mui-slider-item" id="22"><img style="height: 200px;vertical-align:middle;" src="image/ad0.jpg" /></div>
						var div = document.createElement('div');
						div.className = 'mui-slider-item';
						div.id = horizontalAdList[i].strSchool;
						div.innerHTML = '<img  src="' + filePath + horizontalAdList[i].strImageUrl + '" style="height: 150px;vertical-align:middle;">';
						//下拉刷新，新纪录插到最前面；
						//table.insertBefore(li, table.firstChild);
						horizontalTable.appendChild(div);
						var div1 = document.createElement('div');
						div1.className = 'mui-indicator';
						indicatorDiv.appendChild(div1);
					}
					var gallery = mui('.mui-slider');
					gallery.slider().gotoItem(0);
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				console.log(type);
			}
		});
	}
})(mui);