var jsonIosUserInfo;

function iosGetUserInfo(userinfo) {
	var a = userinfo.split("<").join("");
	var b = a.split(" ").join("");
	var c = b.split(">").join("");
	jsonIosUserInfo = hexCharCodeToStr(c);
}

function hexCharCodeToStr(hexCharCodeStr) {　　
	var trimedStr = hexCharCodeStr.trim();　　
	var rawStr = 　　trimedStr.substr(0, 2).toLowerCase() === "0x"　　 ? 　　trimedStr.substr(2)　　 : 　　trimedStr;　　
	var len = rawStr.length;　　
	if(len % 2 !== 0) {　　　　
		alert("Illegal Format ASCII Code!");　　　　
		return "";　　
	}　　
	var curCharCode;　　
	var resultStr = [];　　
	for(var i = 0; i < len; i = i + 2) {　　　　
		curCharCode = parseInt(rawStr.substr(i, 2), 16); // ASCII Code Value
		　　　　
		resultStr.push(String.fromCharCode(curCharCode));　　
	}　　
	return resultStr.join("");
}
(function($, doc) {
	var pageSize = 15;
	var startRecords = 0;
	var strSearchSchool;
	$('#scroll').scroll({
		indicators: true //是否显示滚动条
	});
	mui.init({
		pullRefresh: {
			container: '#pullrefresh',
			down: {
				style: 'circle',
				callback: pulldownRefresh
			},
			up: {
				auto: true,
				contentrefresh: '正在加载...',
				callback: pullupRefresh
			}
		},
		swipeBack: false //启用右滑关闭功能,
	});

	$.ready(function() {
		/**
		 * 获取对象属性的值
		 * 主要用于过滤三级联动中，可能出现的最低级的数据不存在的情况，实际开发中需要注意这一点；
		 * @param {Object} obj 对象
		 * @param {String} param 属性名
		 */
		var _getParam = function(obj, param) {
			return obj[param] || '';
		};
		//省份
		var userPicker = new $.PopPicker();
		userPicker.setData(provinceArray);
		var specialtyDiv = doc.getElementById('specialtyDiv');
		specialtyDiv.addEventListener('tap', function(event) {
			//禁止下拉刷新
			mui('#pullrefresh').pullRefresh().disablePulldownToRefresh();
			mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			userPicker.show(function(items) {
				specialtyDiv.innerText = items[0];
				removeAllItem();
				startRecords = 0;
				getData('', items[0], '');
				//开启下拉刷新
				mui('#pullrefresh').pullRefresh().enablePulldownToRefresh();
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
				//返回 false 可以阻止选择框的关闭
				//return false;
			});
			
			userPicker.cancel.addEventListener('tap', function(event) {
				//开启下拉刷新
				mui('#pullrefresh').pullRefresh().enablePulldownToRefresh();
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
			}, false);
		}, false);
		//专业分类
		var majorPicker = new $.PopPicker();
		majorPicker.setData(schoolTypeArray);
		var majorDiv = doc.getElementById('majorDiv');
		majorDiv.addEventListener('tap', function(event) {
			//禁止下拉刷新
			mui('#pullrefresh').pullRefresh().disablePulldownToRefresh();
			mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			majorPicker.show(function(items) {
				majorDiv.innerText = items[0];
				removeAllItem();
				startRecords = 0;
				getData('', '', items[0]);
				//开启下拉刷新
				mui('#pullrefresh').pullRefresh().enablePulldownToRefresh();
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
				//返回 false 可以阻止选择框的关闭
				//return false;
			});
			majorPicker.cancel.addEventListener('tap', function(event) {
				//开启下拉刷新
				mui('#pullrefresh').pullRefresh().enablePulldownToRefresh();
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
			}, false);
		}, false);
	});
	//删除list item
	function removeAllItem() {
		var table = document.body.querySelector('.mui-table-view');
		var size = table.childNodes.length;
		for(var i = 0; i < size; i++) {
			table.removeChild(table.childNodes[0]);
		}
	}
	//上拉加载更多
	function pullupRefresh() {
		var strLocalProvince = document.getElementById('specialtyDiv').innerText;
		var strSchoolType = document.getElementById('majorDiv').innerText;
		getData(strSearchSchool, strLocalProvince, strSchoolType);
	}
	/**
	 * 下拉刷新具体业务实现
	 */
	function pulldownRefresh(strName) {
		startRecords = 0;
		strSearchSchool = undefined;
		console.log("下拉刷新具体业务实现");
		//竖排广告
		var table = document.body.querySelector('.mui-table-view');
		var size = table.childNodes.length;
		for(var i = 0; i < size; i++) {
			table.removeChild(table.childNodes[0]);
		}

		var strLocalProvince = document.getElementById('specialtyDiv').innerText;
		var strSchoolType = document.getElementById('majorDiv').innerText;
		getData(strSearchSchool, strLocalProvince, strSchoolType);
		//完成下拉刷新
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh();

	}

	function getData(strName, strLocProvince, strSchoolType) {
		if(strLocProvince == '所在地') {
        			if(!checkVarIsEmpty(getParams('strLocProvince'))){
        			 	document.getElementById('specialtyDiv').innerText=getParams('strLocProvince');
        			 	strLocProvince = getParams('strLocProvince');
        			}else{
        				strLocProvince = "";
        			}
        		}
        		if(strLocProvince == '全国') {
        				strLocProvince = "";
        		}
		if(strSchoolType == "专业大类" || strSchoolType == "全部") {
			strSchoolType = "";
		}
		var url = gainGaoZhuanList + "?startRecords=" + startRecords + "&pageSize=" + pageSize;
		if(strName != "" && strName != undefined) {
			url = url + "&strName=" + strName;
		}
		if(!checkVarIsEmpty(strLocProvince)) {
			url = url + "&strLocProvince=" + strLocProvince;
		}
		if(!checkVarIsEmpty(strSchoolType)) {
			url = url + "&strSchoolType=" + strSchoolType;
		}
		console.log(url);
		mui.ajax(url, {
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			success: function(response) {
				//				alert(response);
				//服务器返回响应，根据响应结果，分析是否登录成功；
				//var response = JSON.stringify(response);
				//					console.log("返回：" + JSON.stringify(response));
				//竖排广告
				var table = document.body.querySelector('.mui-table-view');
				if(response.status == 'SUCCESS') {
					var schoolMainVOList = response.data;
					//			console.log(verticalAdList.length);
					var size = schoolMainVOList.length;
					startRecords = startRecords + pageSize;
					if(size < 15) {
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(true); //参数为true代表没有更多数据了。
					} else {
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
					}
					for(var i = 0; i < size; i++) {
						var li = document.createElement('li');
						li.className = 'mui-table-view-cell mui-media';
						li.id = schoolMainVOList[i].strId;
						if(schoolMainVOList[i].strIcon == undefined) {
							schoolMainVOList[i].strIcon = 'image/default_icon.png';
						}
						if(schoolMainVOList[i].strClaimTel == undefined) {
							li.innerHTML =
								'<img class="mui-media-object mui-pull-left" src="' + schoolMainVOList[i].strIcon + '"/>' +
								'<div class="mui-media-body">' +
								'<p class="schoolName">' + schoolMainVOList[i].strName + '</p><p class=\'mui-ellipsis\'>' + schoolMainVOList[i].strObey + '</p>' +
								'</div>';
						} else {
							li.innerHTML =
								'<div style="position: relative;">' +
								'<img class="mui-media-object mui-pull-left" src="' + schoolMainVOList[i].strIcon + '"  style="position: absolute;"/>' +
								'<img  src="image/hot_ionc.png" style="width: 15px;height: 15px;position: absolute;top: 27px;left: 27px;"/>' +
								'</div>' +
								'<div class="mui-media-body">' +
								'<p class="schoolName">' + schoolMainVOList[i].strName + '</p><p class=\'mui-ellipsis\'>' + schoolMainVOList[i].strObey + '</p>' +
								'</div>';
						}
						//下拉刷新，新纪录插到最前面；
						table.appendChild(li);
					}
				} else {
					mui.toast(response.message);
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				console.log(type);
				alert(type);
			}
		});
	
	}
	//上传用户的点击此时
	function submitClickCount(strSchoolId, strSchoolName, strUserId, strUserPhone) {
		if(checkVarIsEmpty(strUserId)) {
			return;
		}
		if(checkVarIsEmpty(strUserPhone)) {
			return;
		}
		var url = uploadClickSchool;
		console.log(url);
		mui.ajax(url, {
			data: {
				strSchoolId: strSchoolId,
				strSchoolName: strSchoolName,
				strUserId: strUserId,
				strUserPhone: strUserPhone
			},
			dataType: 'json', //服务器返回json格式数据
			async: true,
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			success: function(response) {
				//服务器返回响应，根据响应结果，分析是否登录成功；
				//var response = JSON.stringify(response);
				console.log("返回：" + JSON.stringify(response));
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				console.log(type);
			}
		});
	}
	//	item点击事件
	mui(".mui-table-view").on('tap', '.mui-table-view-cell', function() {
		//获取id
		var id = this.getAttribute("id");
		var strSchoolName = this.querySelector('.schoolName').innerText;
		//传值给详情页面，通知加载新数据
		// mui.fire(detail,'getDetail',{id:id});
		try {
			var jsonUserInfoVO;
			if(isAndroid()) {
				jsonUserInfoVO = window.Android.getUserInfoVOJson();
			}
			if(isIOS()) {
				jsonUserInfoVO = jsonIosUserInfo;
				console.log("+++" + jsonUserInfoVO)
			}
			if(!checkVarIsEmpty(jsonUserInfoVO)) {
				//      	JSON.parse(jsonstr); //可以将json字符串转换成json对象 
				//			JSON.stringify(jsonobj); //可以将json对象转换成json对符串 
				var userInfoVO = JSON.parse(jsonUserInfoVO);
				if(userInfoVO.intUserId != 0 && userInfoVO.intUserId != undefined && !checkVarIsEmpty(userInfoVO.strUserName)) {
					//		strSchoolId, strSchoolName, strUserId, strUserPhone
					submitClickCount(id, strSchoolName, userInfoVO.intUserId, userInfoVO.strUserName);
				}
			}
		} catch(err) {

		}
		//打开新闻详情
		mui.openWindow({
			url: 'specialty_school_main.html?strSchoolId=' + id + "&from=SecialtyList"
		});
	});
	//	搜索框点击事件
	mui(".mui-bar").on('tap', '.imgSearch', function() {
		var btnArray = ['取消', '确认'];
		mui.prompt("", "请输入学校名称", "搜索", btnArray, function(e) {
			if(e.index == 1) {
				var strSchoolName = document.querySelector('.mui-popup-input input').value;
				if(!checkVarIsEmpty(trim(strSchoolName))) {
					strSearchSchool = strSchoolName;
					startRecords = 0;
					//竖排广告
					var table = document.body.querySelector('.mui-table-view');
					var size = table.childNodes.length;
					for(var i = 0; i < size; i++) {
						table.removeChild(table.childNodes[0]);
					}
					var strLocalProvince = document.getElementById('specialtyDiv').innerText;
					var strSchoolType = document.getElementById('majorDiv').innerText;
					getData(strSearchSchool, strLocalProvince, strSchoolType);
				}
			} else {
				strSearchSchool = undefined;
				//				mui.toast("你点击了取消！")
			}
		}, 'div')
		document.querySelector('.mui-popup-input input').style.height = "36px";
	});
})(mui, document);