/**
 * Created by zjg on 2016/12/27.
 */
function getParams(key) {
	var keyList = [];
	var valueList = [];
	var hrefStr = decodeURIComponent(window.location.href);
	var strArray = hrefStr.split("?");
	var paramStr = strArray[1];
	if((paramStr != null) && (paramStr != null)) {
		var paramArray = paramStr.split("&");
		for(var i = 0; i < paramArray.length; i++) {
			var param = paramArray[i];
			valueList.push(param.substr(param.indexOf("=") + 1));
			keyList.push(param.substr(0, param.indexOf("=")));
		}
		for(var j = 0; j < keyList.length; j++) {
			if(key == keyList[j]) {
				return valueList[j];
			}
		}
	}
}
/**
 * 将以base64的图片url数据转换为Blob
 * @param urlData
 *            用url方式表示的base64图片数据
 */
function convertBase64UrlToBlob(urlData) {
	//test:
	// var blob = dataURLtoBlob('data:text/plain;base64,YWFhYWFhYQ==');
	var arr = urlData.split(',');
	var bytes = window.atob(arr[1]); //去掉url的头，并转换为byte
	//处理异常,将ascii码小于0的转换为大于0
	var ab = new ArrayBuffer(bytes.length);
	var ia = new Uint8Array(ab);
	for(var i = 0; i < bytes.length; i++) {
		ia[i] = bytes.charCodeAt(i);
	}
	var mime = arr[0].match(/:(.*?);/)[1];
	return new Blob([ab], {
		type: mime
	});
}

/**
 * 将以Blob的图片数据转换为File
 * @param urlData
 *            用url方式表示的base64图片数据
 */
function convertBlobToFile(blob, fileName) {
	return new File([blob], fileName);
}
/**
 * 将以Base64的图片url数据转换为File
 * @param urlData
 *            用url方式表示的base64图片数据
 */
function convertBase64UrlToFile(urlData, fileName) {
	return new File([convertBase64UrlToBlob(urlData)], fileName);
}

//<!------------------------------------------------------------------------------------------------------------------------>
//<!------------------------------------------------------------------------------------------------------------------------>
//<!-------------------------------------------------------获取时间---------------------------------------------------------->
//<!------------------------------------------------------------------------------------------------------------------------>
//<!------------------------------------------------------------------------------------------------------------------------>

function getDateTimeStamp(dateStr) {
	//console.log("time == " + Date.parse(dateStr.replace(/-/gi,"/")));
	return Date.parse(dateStr.replace(/-/gi, "/"));
}

function getDateDiff(dateTimeStamp) {
	var minute = 1000 * 60;
	var hour = minute * 60;
	var day = hour * 24;
	var halfamonth = day * 15;
	var month = day * 30;
	var now = new Date().getTime();
	//console.log("now === "+now);
	var diffValue = now - dateTimeStamp;
	if(diffValue < 0) {
		return;
	}
	var monthC = diffValue / month;
	var weekC = diffValue / (7 * day);
	var dayC = diffValue / day;
	var hourC = diffValue / hour;
	var minC = diffValue / minute;
	if(monthC >= 1) {
		result = "" + parseInt(monthC) + "月前";
	} else if(weekC >= 1) {
		result = "" + parseInt(weekC) + "周前";
	} else if(dayC >= 1) {
		result = "" + parseInt(dayC) + "天前";
	} else if(hourC >= 1) {
		result = "" + parseInt(hourC) + "小时前";
	} else if(minC >= 1) {
		result = "" + parseInt(minC) + "分钟前";
	} else
		result = "刚刚";
	return result;
}
//验证字符串不为空
function checkVarIsEmpty(value) {
	if(value == undefined || value == "" || value == null || value == "null" || value == "undefined") {
		return true;
	} else {
		return false;
	}
}
var ProvinceArray = ["北京", "天津", "河北", "山西", "内蒙古",
	"辽宁", "吉林", "黑龙江", "上海", "江苏",
	"浙江", "安徽", "福建", "江西", "山东",
	"河南", "湖北", "湖南", "广东", "广西",
	"海南", "重庆", "四川", "贵州", "云南",
	"西藏", "陕西", "甘肃", "青海", "宁夏",
	"新疆"
];

var loginVCClicked = function() {
	var ua = navigator.userAgent.toLowerCase();

	if(/iphone|ipad|ipod/.test(ua)) {

		iOSLogin();

	} else if(/android/.test(ua)) {

		window.Android.andriodLogin();
	}
}

//判断是PC端还是手机端
function IsPC() {
	var userAgentInfo = navigator.userAgent;
	var Agents = ["Android", "iPhone",
		"SymbianOS", "Windows Phone",
		"iPad", "iPod"
	];
	var flag = true;
	for(var v = 0; v < Agents.length; v++) {
		if(userAgentInfo.indexOf(Agents[v]) > 0) {
			flag = false;
			break;
		}
	}
	return flag;
}

function isIOS() {
	var ua = navigator.userAgent.toLowerCase();
	if(/iphone|ipad|ipod/.test(ua)) {
		return true;
	} else {
		return false;
	}
}

function isAndroid() {
	var ua = navigator.userAgent.toLowerCase();
	if(/android/.test(ua)) {
		return true;
	} else {
		return false;
	}
}

function stopBubble(e) {
	if(e) { //如果传入了事件对象，那么就是非IE浏览器 她支持W3C的stopPropagation方法
		e.stopPropagation();
	} else {
		//使用IE的方式取消事件冒泡
		window.event.cancelBubble = true;
	}
}

function rsaUtils(e) {
	if(e) { //如果传入了事件对象，那么就是非IE浏览器 她支持W3C的stopPropagation方法
		e.stopPropagation();
	} else {
		//使用IE的方式取消事件冒泡
		window.event.cancelBubble = true;
	}
}
var provinceArray = new Array("全国", "北京", "天津", "河北", "山西", "内蒙古",
	"辽宁", "吉林", "黑龙江", "上海", "江苏",
	"浙江", "安徽", "福建", "江西", "山东",
	"河南", "湖北", "湖南", "广东", "广西",
	"海南", "重庆", "四川", "贵州", "云南",
	"西藏", "陕西", "甘肃", "青海", "宁夏",
	"新疆");

var schoolTypeArray = new Array("全部", "综合", "工科", "农业", "医药", "师范", "语言", "财经", "政法", "体育", "艺术");

//----------------------------------------------------------
//     去掉字符串前后的空格
//    返回值：
//    去除空格后的字符串
//----------------------------------------------------------
function trim(param) {
	if((vRet = param) == '') {
		return vRet;
	}
	while(true) {
		if(vRet.indexOf(' ') == 0) {
			vRet = vRet.substring(1, parseInt(vRet.length));
		} else if((parseInt(vRet.length) != 0) && (vRet.lastIndexOf(' ') == parseInt(vRet.length) - 1)) {
			vRet = vRet.substring(0, parseInt(vRet.length) - 1);
		} else {
			return vRet;
		}
	}
}