(function($) {
	mui.init();
	var strSchoolId = getParams("strSchoolId");
	var type = getParams("type");
	getData(type, strSchoolId);
	function getData(type, strSchoolId) {
		if(strSchoolId == '' || strSchoolId == undefined) {
			mui.toast("参数不合法!");
			return;
		}
		var url
		if(type == 'school_des') {
			url = gainJianJieBySchoolId + "?strSchoolId=" + strSchoolId;
		} else if(type == 'school_setting') {
			url = gainYuanXiBySchoolId + "?strSchoolId=" + strSchoolId;
		} else if(type == 'major_des') {
			url = gainGaoSchoolMajorInfo + "?intId=" + strSchoolId;
		}
		console.log(url);
		mui.ajax(url, {
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 20000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			success: function(response) {
				console.log("返回：" + JSON.stringify(response));
				var div = document.body.querySelector('.mui-content');
				if(response.status == 'SUCCESS') {
					if(type == 'school_des') {
						if(checkVarIsEmpty(response.data.strJianJie)){
							div.innerHTML = '';
							document.getElementById("noData").style.display='block';
						}else{
							document.getElementById("noData").style.display='none';
							div.innerHTML = response.data.strJianJie;
						}
					} else if(type == 'school_setting') {
						if(checkVarIsEmpty(response.data.strYuanXi)){
							div.innerHTML = '';
							document.getElementById("noData").style.display='block';
						}else{
							document.getElementById("noData").style.display='none';
							div.innerHTML = response.data.strYuanXi;
						}
					} else if(type == 'major_des') {
						if(checkVarIsEmpty(response.data.strMajorInfo)){
							div.innerHTML = '';
							document.getElementById("noData").style.display='block';
						}else{
							div.innerHTML = response.data.strMajorInfo;
							document.getElementById("noData").style.display='none';
						}
					}

				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				console.log(type);
			}
		});
	}

})(mui);