var jsonIosUserInfo;

function iosGetUserInfo(userinfo) {
	var a = userinfo.split("<").join("");
	var b = a.split(" ").join("");
	var c = b.split(">").join("");
	jsonIosUserInfo = hexCharCodeToStr(c);
}

function hexCharCodeToStr(hexCharCodeStr) {　　
	var trimedStr = hexCharCodeStr.trim();　　
	var rawStr = 　　trimedStr.substr(0, 2).toLowerCase() === "0x"　　 ? 　　trimedStr.substr(2)　　 : 　　trimedStr;　　
	var len = rawStr.length;　　
	if(len % 2 !== 0) {　　　　
		alert("Illegal Format ASCII Code!");　　　　
		return "";　　
	}　　
	var curCharCode;　　
	var resultStr = [];　　
	for(var i = 0; i < len; i = i + 2) {　　　　
		curCharCode = parseInt(rawStr.substr(i, 2), 16); // ASCII Code Value
		　　　　
		resultStr.push(String.fromCharCode(curCharCode));　　
	}　　
	return resultStr.join("");
}

(function($) {
	var strSchoolId;
	var strSchoolTel;
	var strSchoolName;
	var gaoZhuanVO;
	mui.init({});

	getData();

	function getData() {
		var from = getParams("from"); //SecialtyList 表示从列表点击进入  SecialtyIndex 从首页广告点击进入
		var url;
		if(from === "SecialtyList") {
			strSchoolId = getParams("strSchoolId");
			if(strSchoolId == '' || strSchoolId == undefined) {
				mui.toast("参数不合法!");
				return;
			}
			url = gainGaoZhuanBySchoolId + "?strSchoolId=" + strSchoolId;
		} else if(from === "SecialtyIndex") {
			strSchoolName = getParams("strSchoolName");
			if(strSchoolName == '' || strSchoolName == undefined) {
				mui.toast("参数不合法!");
				return;
			}
			url = gainGaoZhuanBySchoolId + "?strSchoolName=" + strSchoolName;
		} else if(from === "ZhuanyeDaQuan") {//专业大全和我的收藏进入学校主页
			strSchoolId = getParams("strSchoolId");
			if(strSchoolId == '' || strSchoolId == undefined) {
				mui.toast("参数不合法!");
				return;
			}
			document.body.querySelector('.mui-bar>a').className = 'android_ios_back mui-icon mui-icon-left-nav mui-pull-left';
			url = gainGaoZhuanBySchoolId + "?strSchoolId=" + strSchoolId;
		}
		var jsonUserInfoVO;
		try {
			if(isAndroid()) {
				jsonUserInfoVO = window.Android.getUserInfoVOJson();
			}
			if(isIOS()) {
				jsonUserInfoVO = jsonIosUserInfo;
			}
			if(!checkVarIsEmpty(jsonUserInfoVO)) {
				//      	JSON.parse(jsonstr); //可以将json字符串转换成json对象 
				//			JSON.stringify(jsonobj); //可以将json对象转换成json对符串 
				var userInfoVO = JSON.parse(jsonUserInfoVO);
				if(userInfoVO.intUserId != 0 && !checkVarIsEmpty(userInfoVO.intUserId)) {
					url = url + "&strUserId=" + userInfoVO.intUserId;
				}
			}
		} catch(err) {

		}
		console.log(url);
//				alert(url);
		mui.ajax(url, {
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 30000, //超时时间设置为10秒；
			headers: {
				//					'Content-Type': 'application/json'
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			success: function(response) {
				//					var response = JSON.stringify(response);
				console.log("返回：" + JSON.stringify(response));
				console.log("返回：" + response.status);
				if(response.status == 'SUCCESS') {
					gaoZhuanVO = response.data;
					strSchoolId = gaoZhuanVO.strSchoolId;
					if(gaoZhuanVO != "" || gaoZhuanVO != undefined) {
						var divSchoolName = document.body.querySelector('#divSchoolName');
						divSchoolName.innerHTML = gaoZhuanVO.strSchoolName;
						strSchoolName=gaoZhuanVO.strSchoolName;
						var divSchoolAddress = document.body.querySelector('#divSchoolAddress');
						divSchoolAddress.innerHTML = gaoZhuanVO.strAddress;
						var imgSchoolIcon = document.body.querySelector('.itemImgLeft>img');
						if(gaoZhuanVO.strIcon == "" || gaoZhuanVO.strIcon == undefined) {
							imgSchoolIcon.setAttribute("src", "image/default_icon.png")
						} else {
							imgSchoolIcon.setAttribute("src", gaoZhuanVO.strIcon)
						}

						var liSchool_des = document.body.querySelector('#school_des');
						if(gaoZhuanVO.strJianJie != "" && gaoZhuanVO.strJianJie == "Y") {
							liSchool_des.style.display = "";
						} else {
							liSchool_des.style.display = "none";
						}

						var liSchool_setting = document.body.querySelector('#school_setting');
						if(gaoZhuanVO.strYuanXi != "" && gaoZhuanVO.strYuanXi == "Y") {
							liSchool_setting.style.display = "";
						} else {
							liSchool_setting.style.display = "none";
						}

						var liSchoolMajor = document.body.querySelector('#liSchoolMajor');
						if(gaoZhuanVO.gaoSchoolMajorVOSize != undefined && gaoZhuanVO.gaoSchoolMajorVOSize > 0) {
							liSchoolMajor.style.display = "";
							var majorArray = gaoZhuanVO.gaoSchoolMajorVOList;
							console.log(majorArray.length);
							var size = majorArray.length;
							var table = document.body.querySelector('#ulMajorList');
							console.log(table + size)
							for(var i = 0; i < size; i++) {
								var li = document.createElement('li');
								li.className = 'mui-table-view-cell myliClick';
								li.id = majorArray[i].intId;
								li.innerHTML = '<a class="mui-navigate-right">' + majorArray[i].strMajorName + '</a>';
								//下拉刷新，新纪录插到最前面；
								table.appendChild(li);
								//									table.append(li)
							}
						} else {
							liSchoolMajor.style.display = "none";
						}

						strSchoolTel = gaoZhuanVO.strConsultMobile;
						//是否收藏
						var aCollect = document.body.querySelector('#majorDiv>a');
						if(gaoZhuanVO.isCollect != "" && gaoZhuanVO.isCollect == "Y") {
							aCollect.innerText = '已收藏';
						} else {
							aCollect.innerText = '收藏';
						}
						//是否预报名
						var aConfirm = document.body.querySelector('#specialtyDiv>a');
						if(gaoZhuanVO.strConfirm != "" && gaoZhuanVO.strConfirm == "Y") {
							aConfirm.innerText = '已报名';
						} else {
							aConfirm.innerText = '预报名';
						}
					}

				} else {
					mui.toast(response.message);
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				console.log(type);
				mui.toast(type);
			}
		});
	}
	//自定义返回按钮
	mui("body").on('tap', '.android_ios_back', function() {
		if(isAndroid()) {
			window.Android.Activityfinish();
		}
		if(isIOS()) {

		}
	});
	//院校简介/院系设置/开设专业
	mui(".mui-table-view").on('tap', '.mui-table-view-cell', function() {
		//获取id
		var id = this.getAttribute("id");
		if(id == "school_des") {
			if(strSchoolId == '' || strSchoolId == undefined) {
				mui.toast("参数不合法!");
				return;
			}
			mui.openWindow({
				url: 'specialty_school_details.html?strSchoolId=' + strSchoolId + "&type=school_des"
			});
			//						alert(id == "school_des");
		} else if(id == "school_setting") {
			if(strSchoolId == '' || strSchoolId == undefined) {
				mui.toast("参数不合法!");
				return;
			}
			mui.openWindow({
				url: 'specialty_school_details.html?strSchoolId=' + strSchoolId + "&type=school_setting"
			});
		}
	});

	//开设专业
	mui("#ulMajorList").on('tap', '.myliClick', function() {
		//获取id
		var strajorId = this.getAttribute("id");
		mui.openWindow({
			url: 'specialty_school_details.html?strSchoolId=' + strajorId + "&type=major_des"
		});
	});
	//收藏或取消收藏
	mui("body").on('tap', '#majorDiv', function() {

		var aCollect = document.body.querySelector('#majorDiv>a');
		if(aCollect.innerText === '收藏') { //收藏逻辑
			setCollect(true);
		} else if(aCollect.innerText === '已收藏') { //取消收藏
			setCollect(false);
		}
		//		alert(aCollect.innerText);

	});
	document.getElementById("divZixun").addEventListener('tap', function() {
		if(strSchoolTel == undefined || strSchoolTel == "") {
			mui.toast("该学校暂不提供电话咨询!")
		} else {
			var btnArray = ['否', '是'];
			mui.confirm('您确认要拨打：' + strSchoolTel + '？', '咨询', btnArray, function(e) {
				if(e.index == 1) { //是
					mui.toast("确认拨号");
					if(isAndroid()) {
						window.Android.ActivityCallPhone(strSchoolTel);
					}
					if(isIOS()) {

					}
				} else { //否
					mui.toast("取消拨号")
				}
			})
		}

	});
	//收藏接口
	function setCollect(isCollect) {
		var strUserId;
		try {
			var jsonUserInfoVO;
			if(isAndroid()) {
				jsonUserInfoVO = window.Android.getUserInfoVOJson();
			}
			if(isIOS()) {
				jsonUserInfoVO = jsonIosUserInfo;
			}
			if(!checkVarIsEmpty(jsonUserInfoVO)) {
				//      	JSON.parse(jsonstr); //可以将json字符串转换成json对象 
				//			JSON.stringify(jsonobj); //可以将json对象转换成json对符串 
				var userInfoVO = JSON.parse(jsonUserInfoVO);
				if(userInfoVO.intUserId != 0 && !checkVarIsEmpty(userInfoVO.intUserId)) {
					strUserId = userInfoVO.intUserId;
				}
			} else {
				if(isAndroid()) {
					Android.ActivityJumpLogin();
				}
				if(isIOS()) {
					JumpLogin();
				}
				return;
			}
			
			var url;
		var dataObject = new Object();
		var requestType;
		//		strUserId = '111111';
		if(!checkVarIsEmpty(strUserId) && !checkVarIsEmpty(gaoZhuanVO.strSchoolId)) {
			if(isCollect) { //收藏逻辑
				url = collectSchool_new;
				dataObject.strMainId = gaoZhuanVO.strSchoolId;
				dataObject.strUserId = strUserId;
				dataObject.strIsBenKe = 'N'; //是否本科(Y:本科；N：专科)
				requestType = 'post'
			} else { //取消收藏
				url = cancelCollectSchool_new;
				dataObject.strUserId = strUserId;
				dataObject.strMainId = gaoZhuanVO.strSchoolId;
				requestType = 'get'
			}
			console.log(url);
			mui.ajax(url, {
				data: dataObject,
				dataType: 'json', //服务器返回json格式数据
				type: requestType, //HTTP请求类型
				timeout: 30000, //超时时间设置为10秒；
				headers: {
					//					'Content-Type': 'application/json'
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				success: function(response) {
					//							console.log("返回：" + JSON.stringify(response));
					console.log("返回：" + response.status);
					if(response.status == 'SUCCESS') {
						var gaoZhuanVO = response.data;
						var aCollect = document.body.querySelector('#majorDiv>a');
						if(isCollect) { //收藏逻辑
							//是否收藏
							aCollect.innerText = '已收藏';
							mui.toast("收藏成功!");
						} else { //取消收藏
							aCollect.innerText = "收藏";
							mui.toast('取消收藏!');
						}
					} else {
						mui.toast(response.message);
					}
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					console.log(type);
					mui.toast(type);
				}
			});
		} else {
			mui.toast("无效参数!");
		}
		} catch(err) {

		}
		
	};
	//预报名
	mui("body").on('tap', "#specialtyDiv", function() {
		if(strSchoolTel == undefined || strSchoolTel == "") {
			mui.toast("该学校暂不提供预报名!")
		} else {
			var strUserId;
			try {
				var jsonUserInfoVO;
				if(isAndroid()) {
					jsonUserInfoVO = window.Android.getUserInfoVOJson();
				}
				if(isIOS()) {
					jsonUserInfoVO = jsonIosUserInfo;
				}
				if(!checkVarIsEmpty(jsonUserInfoVO)) {
					//      	JSON.parse(jsonstr); //可以将json字符串转换成json对象 
					//			JSON.stringify(jsonobj); //可以将json对象转换成json对符串 
					var userInfoVO = JSON.parse(jsonUserInfoVO);
					if(userInfoVO.intUserId != 0 && !checkVarIsEmpty(userInfoVO.intUserId)) {
						strUserId = userInfoVO.intUserId;
					}
				} else {
					if(isAndroid()) {
						Android.ActivityJumpLogin();
					}
					if(isIOS()) {
						JumpLogin();
					}
					return;
				}
				if(!checkVarIsEmpty(strUserId)&&!checkVarIsEmpty(strSchoolId)&&!checkVarIsEmpty(strSchoolName)){
					var strUrl = "signup.html?strUserId=" + strUserId + "&strSchoolId=" + strSchoolId + "&strSchoolName=" + strSchoolName;
					mui.openWindow(strUrl);
				}else{
					mui.toast("参数异常,请查看");
				}
				
			} catch(err) {
				mui.toast(err);
			}
		}
	});
})(mui);